ランタイム: Mix::Scene::ICamera::LENS_FLARE_SETTINGS Struct Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Mix::Scene::ICamera::LENS_FLARE_SETTINGS Struct Reference

レンズフレア設定構造体 More...

`#include <ICamera.h>`

Collaboration diagram for Mix::Scene::ICamera::LENS_FLARE_SETTINGS:
[legend]

## Public Attributes

Mix::Scene::BRIGHT_PASS | brightPass
| ブライトパス More...
UInt32 | ghostNum
| 残像の数( 1〜32 ) More...
Float32 | ghostWeight
| 残像のウェイト( 1.0f〜正の無限大 ) More...
Float32 | ghostDispersal
| 残像のばらつき( 0.0f 〜 1.0f ) More...
Float32 | haloWeight
| 虹輪のウェイト( 1.0f〜正の無限大 ) More...
Float32 | haloWidth
| 虹輪は大きさ( 0.0f 〜 1.0f ) More...
Float32 | distortion
| 色収差の強さ( 0.0f〜正の無限大 ) More...
Float32 | brustSharpness
| 放射線の鮮明さ( 1.0f〜正の無限大 ) More...
Float32 | brustIntensity
| 放射線の強さ( 0.0f〜正の無限大 ) More...
Float32 | dirtSharpness
| 汚れの鮮明さ( 1.0f〜正の無限大 ) More...
Float32 | dirtIntensity
| 汚れの強さ( 0.0f〜正の無限大 ) More...
Mix::Scene::BLUR | blur
| ブラー More...
Float32 | intensity
| 強度( 0.0f〜正の無限大 ) More...

## Detailed Description

レンズフレア設定構造体

## Member Data Documentation

Mix::Scene::BRIGHT_PASS Mix::Scene::ICamera::LENS_FLARE_SETTINGS::brightPass

ブライトパス

UInt32 Mix::Scene::ICamera::LENS_FLARE_SETTINGS::ghostNum

残像の数( 1〜32 )

Float32 Mix::Scene::ICamera::LENS_FLARE_SETTINGS::ghostWeight

残像のウェイト( 1.0f〜正の無限大 )

Float32 Mix::Scene::ICamera::LENS_FLARE_SETTINGS::ghostDispersal

残像のばらつき( 0.0f 〜 1.0f )

Float32 Mix::Scene::ICamera::LENS_FLARE_SETTINGS::haloWeight

虹輪のウェイト( 1.0f〜正の無限大 )

Float32 Mix::Scene::ICamera::LENS_FLARE_SETTINGS::haloWidth

虹輪は大きさ( 0.0f 〜 1.0f )

Float32 Mix::Scene::ICamera::LENS_FLARE_SETTINGS::distortion

色収差の強さ( 0.0f〜正の無限大 )

Float32 Mix::Scene::ICamera::LENS_FLARE_SETTINGS::brustSharpness

放射線の鮮明さ( 1.0f〜正の無限大 )

Float32 Mix::Scene::ICamera::LENS_FLARE_SETTINGS::brustIntensity

放射線の強さ( 0.0f〜正の無限大 )

Float32 Mix::Scene::ICamera::LENS_FLARE_SETTINGS::dirtSharpness

汚れの鮮明さ( 1.0f〜正の無限大 )

Float32 Mix::Scene::ICamera::LENS_FLARE_SETTINGS::dirtIntensity

汚れの強さ( 0.0f〜正の無限大 )

Mix::Scene::BLUR Mix::Scene::ICamera::LENS_FLARE_SETTINGS::blur

ブラー

Float32 Mix::Scene::ICamera::LENS_FLARE_SETTINGS::intensity

強度( 0.0f〜正の無限大 )

The documentation for this struct was generated from the following file:

- Mix/Scene/ICamera.h